# Google Maps Engine API . layers . parents

## Instance Methods

Return all parent ids of the specified layer.

Retrieves the next page of results.

### Method Details

`list(id, pageToken=None, maxResults=None)`

    Return all parent ids of the specified layer.

    Args:
      id: string, The ID of the layer whose parents will be listed. (required)
      pageToken: string, The continuation token, used to page through large result sets. To get the next page of results, set this parameter to the value of nextPageToken from the previous response.
      maxResults: integer, The maximum number of items to include in a single response page. The maximum supported value is 50.

    Returns:
      An object of the form:

        { # The response returned by a call to parents.List.
        "nextPageToken": "A String", # Next page token.
        "parents": [ # The parent assets.
          { # A list of the parents of an asset.
            "id": "A String", # The ID of this parent.
          },
        ],
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.